{% extends "base.html" %}
{% block content %}
    <div class="alert alert-primary" role="alert">
        {{ content.count }} élément{{ content.count |pluralize }} dans ce flux
    </div>
    <ul class="list-unstyled">
        {% if content %}
            {% for content_detail in content %}
                <li class="media my-4">
                    <div style="width: 220px; height: 112.25px; text-align: center"><a
                            href="{% url "content_view" content_detail.pk %}"><img
                            src="{{ content_detail.get_first_content_url }}"
                            style="max-height: 112.25px; max-width: 200px"
                            class="mr-3" alt="Image {{ content_detail.name }}"></a></div>
                    <div class="media-body">
                        <h5 class="mt-0 mb-1"><a
                                href="{% url "content_view" content_detail.pk %}">{{ content_detail.name }}</a>
                            {% if content_detail.state == "P" %}
                                <span class="badge badge-warning">En modération</span>
                            {% elif content_detail.state == "R" %}
                                <span class="badge badge-danger">Refusé</span>
                            {% else %}
                                {% if content_detail.future == 1 %}
                                    <span class="badge badge-info">Programmé</span>
                                {% elif content_detail.past == 1 %}
                                    <span class="badge badge-dark">Expiré</span>
                                {% else %}
                                    <span class="badge badge-success">En diffusion</span>
                                {% endif %}
                            {% endif %}</h5>
                        <i aria-hidden="true" class="far fa-calendar-alt"> {{ content_detail.begin_date }}
                            - {{ content_detail.end_date }}
                            ({{ content_detail.begin_date|timesince:content_detail.end_date }})</i><br/>
                        <i aria-hidden="true" class="far fa-hourglass"> {{ content_detail.duration }}
                            seconde{{ content_detail.duration|pluralize }}</i><br/>
                        <i aria-hidden="true" class="far fa-user"> {{ content_detail.user.first_name }} {{ content_detail.user.last_name }}</i>
                    </div>
                </li>
            {% endfor %}
        {% else %}
            Aucun contenu à afficher
        {% endif %}
    </ul>
{% endblock %}